Bug 789299 (CVE-2012-0505) - CVE-2012-0505 OpenJDK: incomplete info in the deserialization exception (Serialization, 7110700)
Summary: CVE-2012-0505 OpenJDK: incomplete info in the deserialization exception (Seri...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0505
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20120214,repor...
Depends On: 787142 787143 787144 787145 788202 788203 788204 788205 788206 813689 813690 813691 813692 814225 814226 814227 814228 824864 824865 839641 839644 839645 839646
Blocks: 786724
TreeView+ depends on / blocked
 
Reported: 2012-02-10 10:33 UTC by Tomas Hoger
Modified: 2019-06-08 19:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-16 16:17:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0135 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2012-02-15 04:42:17 UTC
Red Hat Product Errata RHSA-2012:0139 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2012-02-17 00:00:49 UTC
Red Hat Product Errata RHSA-2012:0322 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2012-02-22 02:57:32 UTC
Red Hat Product Errata RHSA-2012:0508 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:09:52 UTC
Red Hat Product Errata RHSA-2012:0514 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:13:53 UTC
Red Hat Product Errata RHSA-2012:0702 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2012-05-30 20:09:41 UTC
Red Hat Product Errata RHSA-2012:1080 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm-sap security update 2012-07-16 19:55:44 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC

Description Tomas Hoger 2012-02-10 10:33:09 UTC
It was discovered that the exception thrown on deserialization failure did not always contain proper identification of failure cause. An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 2 Vincent Danen 2012-02-14 23:12:07 UTC
External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html

Comment 3 errata-xmlrpc 2012-02-14 23:43:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0135 https://rhn.redhat.com/errata/RHSA-2012-0135.html

Comment 4 Tomas Hoger 2012-02-15 08:40:21 UTC
Patches were applied in following IcedTea versions:

* IcedTea6 1.8.13 (based on OpenJDK6 b18)
* IcedTea6 1.9.13 (based on OpenJDK6 b20)
* IcedTea6 1.10.6 (based on OpenJDK6 b22)
* IcedTea6 1.11.1 (based on OpenJDK6 b24)
* IcedTea 2.0.1 (based on OpenJDK7 u1 + u3 security patches)

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017249.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017233.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/file/4e7a700d4ecc/patches/security/20120214/7110700.patch

Comment 5 errata-xmlrpc 2012-02-16 19:02:13 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0139 https://rhn.redhat.com/errata/RHSA-2012-0139.html

Comment 6 errata-xmlrpc 2012-02-21 21:58:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0322 https://rhn.redhat.com/errata/RHSA-2012-0322.html

Comment 7 errata-xmlrpc 2012-04-23 17:04:23 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html

Comment 8 errata-xmlrpc 2012-04-24 19:36:00 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html

Comment 9 errata-xmlrpc 2012-05-30 16:10:45 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0702 https://rhn.redhat.com/errata/RHSA-2012-0702.html

Comment 10 errata-xmlrpc 2012-07-16 15:57:02 UTC
This issue has been addressed in following products:

  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2012:1080 https://rhn.redhat.com/errata/RHSA-2012-1080.html

Comment 11 errata-xmlrpc 2013-10-23 17:04:03 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.